Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1278960 - Review Request: nodejs-heap - Binary heap (priority queue) algorithms
Summary: Review Request: nodejs-heap - Binary heap (priority queue) algorithms
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews Node-RED 1292181
TreeView+ depends on / blocked
 
Reported: 2015-11-06 21:02 UTC by Jared Smith
Modified: 2016-10-21 08:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-20 18:08:14 UTC
tom: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2015-11-06 21:02:41 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-heap/nodejs-heap.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-heap/nodejs-heap-0.2.6-2.fc24.src.rpm
Description: Binary heap (priority queue) algorithms
Fedora Account System Username: jsmith

Comment 1 Jared Smith 2015-11-06 21:08:13 UTC
Updated the package to fix a missing subdirectory:

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-heap/nodejs-heap.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-heap/nodejs-heap-0.2.6-3.fc24.src.rpm

Comment 2 Tom Hughes 2015-11-07 10:54:57 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file README.md is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 10 files have unknown license. Detailed
     output of licensecheck in /home/tom/1278960-nodejs-
     heap/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[s]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-heap-0.2.6-3.fc24.noarch.rpm
          nodejs-heap-0.2.6-3.fc24.src.rpm
nodejs-heap.noarch: W: spelling-error %description -l en_US heapq -> heap, heaps, heap q
nodejs-heap.noarch: W: only-non-binary-in-usr-lib
nodejs-heap.src: W: spelling-error %description -l en_US heapq -> heap, heaps, heap q
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-heap.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-heap (rpmlib, GLIBC filtered):
    nodejs
    nodejs(engine)



Provides
--------
nodejs-heap:
    nodejs-heap
    npm(heap)



Source checksums
----------------
https://registry.npmjs.org/heap/-/heap-0.2.6.tgz :
  CHECKSUM(SHA256) this package     : e8816ce293ddab32eb58671d6ef5acaf9dfd6b37ebc87ff4b1cf03778fb3ac27
  CHECKSUM(SHA256) upstream package : e8816ce293ddab32eb58671d6ef5acaf9dfd6b37ebc87ff4b1cf03778fb3ac27


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1278960
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Tom Hughes 2015-11-07 11:03:30 UTC
So per https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text I think %license should only be used for files that only contain the license.

There's also a recommendation to ask upstream to put the license in a separate file of course, but I'll leave that up to you.

As lib/heap.js is built from src/heap.coffee we should probably run coffee in %build to recreate it.

The other issue is the comment that the tests are disabled (they're not) along with the patch that is being applied to them without any explanation and which doesn't seem to be needed as it builds OK without it on F22, F23 and Rawhide.

Comment 4 Jared Smith 2015-11-08 00:10:50 UTC
(In reply to Tom Hughes from comment #3)
> So per
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text I
> think %license should only be used for files that only contain the license.

Makes sense.  I've fixed this in the latest version.

> As lib/heap.js is built from src/heap.coffee we should probably run coffee
> in %build to recreate it.

Good call.  I've fixed this as well.
 
> The other issue is the comment that the tests are disabled (they're not)
> along with the patch that is being applied to them without any explanation
> and which doesn't seem to be needed as it builds OK without it on F22, F23
> and Rawhide.

Long story short -- I needed this patch for a newer version of the "should" module that I was playing with in one of my repos -- but you're right, it's not needed here.  Fixed.

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-heap/nodejs-heap.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-heap/nodejs-heap-0.2.6-4.fc24.src.rpm

Comment 5 Tom Hughes 2015-11-08 00:24:46 UTC
That looks fine now. Package approved.

Comment 6 Gwyn Ciesla 2015-12-16 15:52:40 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-heap

Comment 7 Fedora Update System 2015-12-16 16:46:22 UTC
nodejs-heap-0.2.6-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e5b84a222f

Comment 8 Fedora Update System 2015-12-16 16:46:57 UTC
nodejs-heap-0.2.6-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-471e1ca190

Comment 9 Fedora Update System 2015-12-16 16:47:19 UTC
nodejs-heap-0.2.6-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-312fd5be8c

Comment 10 Fedora Update System 2015-12-16 16:47:40 UTC
nodejs-heap-0.2.6-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-af1fc59fb2

Comment 11 Piotr Popieluch 2015-12-17 07:39:04 UTC
built in rawhide, closing to unblock depending bugs

Comment 12 Fedora Update System 2015-12-17 10:28:23 UTC
nodejs-heap-0.2.6-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-heap'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-471e1ca190

Comment 13 Fedora Update System 2015-12-17 10:28:28 UTC
nodejs-heap-0.2.6-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-heap'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e5b84a222f

Comment 14 Fedora Update System 2015-12-17 12:51:17 UTC
nodejs-heap-0.2.6-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-heap'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-af1fc59fb2

Comment 15 Fedora Update System 2015-12-17 12:52:26 UTC
nodejs-heap-0.2.6-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-heap'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-312fd5be8c

Comment 16 Piotr Popieluch 2015-12-20 18:08:14 UTC
Built in rawhide, closing to unblock other review requests.

Comment 17 Fedora Update System 2016-05-16 19:06:44 UTC
nodejs-heap-0.2.6-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-05-17 02:59:51 UTC
nodejs-heap-0.2.6-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.